# $Revision: 1.22 $, $Date: 2006/11/26 13:43:26 $
%include	/usr/lib/rpm/macros.php
%define		_class		Image
%define		_subclass	Text
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

%define	_beta beta2
%define	_rel 3
Summary:	%{_pearname} - comfortable processing of texts in images
Summary(pl):	%{_pearname} - komfortowe przetwarzanie tekstu w obrazkach
Name:		php-pear-%{_pearname}
Version:	0.5.2
Release:	0.%{_beta}.%{_rel}
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{_beta}.tgz
# Source0-md5:	f9f808c22cf1076e1e9bce8d59ff1251
URL:		http://pear.php.net/package/Image_Text/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(gd)
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class allows you to add text to dynamic generated images more
comfortable. It allows you to process multiline text and manipulate:
- Border
- Shading
- Alignment
Another nice feature is to let the class measurize your text in respect
to font size and line splitting to fit a given text box.

In PEAR status of this package is: %{_status}.

%description -l pl
Ta klasa pozwala na dodanie tekstu do dynamicznie generowanych
obrazkw w sposb bardziej komfortowy ni dotychczas. Moliwe jest
przetwarzanie tekstw wielolinijkowych i manipulowanie:
- obramowaniem
- cieniem
- ustawieniem.
Inn ciekaw cech jest pozwolenie klasie na zmierzenie tekstu w
zalenoci od rozmiaru czcionki i dzielenie go na linie, aby zmieci
si w podanym polu tekstowym.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir}}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/example
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Image_Text.spec,v $
Revision 1.22  2006/11/26 13:43:26  glen
- rel 3: use php(extension) virtuals

Revision 1.21  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.20  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.19  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.18  2005/10/06 17:34:43  glen
- update to 0.5.2 beta2

Revision 1.17  2005/10/05 20:11:06  glen
- rel 3

Revision 1.16  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.15  2005/09/27 21:57:40  glen
- new pear packaging

Revision 1.14  2004/12/03 22:17:03  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.13  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.12  2004/04/07 10:20:24  adamg
- status changed to beta

Revision 1.11  2004/04/07 10:12:20  adamg
- updated to 0.5.0

Revision 1.10  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.9  2004/02/22 18:49:34  adamg
- updated to 0.4pl1

Revision 1.8  2004/02/22 16:25:17  adamg
- updated to 0.4

Revision 1.7  2004/02/16 18:46:29  adamg
- updated to 0.3pl1

Revision 1.6  2004/02/15 22:44:16  adamg
- updated to 0.3

Revision 1.5  2003/11/22 20:44:22  adamg
- updated to 0.2
- fixes in %install and %files

Revision 1.4  2003/11/02 14:46:26  adamg
- fixed URL

Revision 1.3  2003/10/24 14:54:49  qboosh
- typos

Revision 1.2  2003/10/23 22:42:20  adamg
- pl summary/description

Revision 1.1  2003/10/23 22:25:14  adamg
- initial import
